Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 383867 - sys-process/vixie-cron-4.1-r11 - won't run any scheduled tasks
Summary: sys-process/vixie-cron-4.1-r11 - won't run any scheduled tasks
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Cron Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 21:32 UTC by Chris
Modified: 2016-06-22 12:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2011-09-20 21:32:05 UTC
sys-process/vixie-cron-4.1-r11 was installed on my system.  It ignored everything in /etc/crontab and it ignored any jobs submitted using crontab -e.  No error output anywhere, it just didn't work.  I backed down to sys-process/vixie-cron-4.1-r10, and it started working again.  

Reproducible: Always

Steps to Reproduce:
1.Install vixie-cron-4.10r11, and make sure it is running
2.Execute 'crontab -e' put in something like:  1 12 * * * /etc/echo "hello" >/root/log.log
3.Watch for log.log, and it will never materialize.  

This is just a simple example, of course, I have tried a million different scripts and permutations, and none of them work.
Actual Results:  
Nothing.  Not even any error output.

Expected Results:  
execute my scheduled tasks.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-09-20 21:43:06 UTC
Hello, thanks for the report. This is impossible to reproduce however. The -r11 version has been in the tree for 3 years and it works for many, many people. So, there is something odd about your system, finding out what though will be difficult.
Comment 2 Chris 2011-09-20 21:50:32 UTC
It hasn't been stable that long, however. My wife's system is a clone of mine, except that it hasn't been updated in 192 days, and she has r10 on it (with no changes to /etc/portage/*).

This could have been an issue for months... I'm not sure, I haven't had a need to rely upon it until now.

Backing down fixed the problem, so it is definitely a bug... though it may not be a bug directly in vcron... maybe in one of its dependencies... but, since there is no error output whatsoever, I don't know where to begin with tracking down the real culprit -- vcron or something else.

emerge --info
Portage 2.1.10.11 (default/linux/amd64/10.0/desktop, gcc-4.4.5, glibc-2.12.2-r0, 2.6.39-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.39-gentoo-r3-x86_64-AMD_Phenom-tm-_II_X4_B45_Processor-with-gentoo-2.0.3
Timestamp of tree: Mon, 19 Sep 2011 20:00:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 2.4 [enabled]
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/ccache:          2.4-r9
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.5
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.36.1 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* @EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildpkg ccache distcc distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_US en"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 amr apic apm avi berkdb branding bzip2 cairo cdda cddb cdr cli consolekit cracklib crypt cups cxx dbus dga distcc divx dlna dri dts dv dvd dvdr dvdread emboss encode exif fam fbcon ffmpeg firefox flac flash fortran fuse gdbm gdu gif gimp gimp-2.2 gimpprint gmplayer gphoto2 gpm gtk gtk2 iconv id3 irc java jpeg kde lcms ldap lib32 libnotify libusb mad mmx mng modules motif mp3 mp4 mpeg msn mtp mudflap multilib ncurses nls nptl nptlonly nsplugin nvidia ogg oggvorbis opengl openmp oscar oss pam pango pcre pdf perl png policykit ppds pppd pulseaudio python qt3support qt4 quicktime raw readline realmedia samba sdl semantic-desktop session skype spell sse sse2 ssl startup-notification svg sysfs tcpd tetex tiff truetype udev unicode usb v4l v4l2 vnc vorbis wmv x264 xcb xml xorg xsane xscreensaver xulrunner xv xvid xvmc yahoo zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx radeon ati vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Chris 2016-06-22 12:16:34 UTC
Ancient history... Cron has been working... must have been a fluke with that particular release.  Closing.